### Method

# FwupdPlugin Context add_udev_subsystem

since: 1.6.0

#### Declaration [src]

    void
    fu_context_add_udev_subsystem (
      FuContext* self,
      const gchar* subsystem,
      const gchar* plugin_name
    )

#### Description [src]

Registers the udev subsystem to be watched by the daemon.

Plugins can use this method only in `fu_plugin_init()`

Available since: 1.6.0

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem name, e.g. `pciport`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`plugin_name`

  Type: `const gchar*`

  A plugin name, e.g. `iommu`

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.